<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" import="java.sql.*"%>
<%
	Connection conn = null;
	PreparedStatement stmt = null;
	ResultSet rs = null;
	try
	{
		Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		conn = DriverManager.getConnection("jdbc:odbc:Presidents");
		
		String sql = "SELECT FirstName, LastName FROM Presidents WHERE Username=? AND Password=?";
		stmt = conn.prepareStatement(sql);
		stmt.setString(1, request.getParameter("username"));
		stmt.setString(2, request.getParameter("password"));
		
		rs = stmt.executeQuery();
		if (rs.next())
		{
			out.write(rs.getString("FirstName") + " " + rs.getString("LastName"));
		}
		else
		{
			out.write("failed");
		}
	}
	catch(Exception e)
	{
		out.write("failed"); //e.toString()
	}
	finally 
	{
		if (rs != null) rs.close();
		if (stmt != null) stmt.close();
		if (conn != null) conn.close();
	}
%>